export const test = {
  cache: {
    ROOT_QUERY: {
      'actor(id:1)': 'Actor~1',
      movies: ['Movie~1', 'Movie~2', 'Movie~3', 'Movie~4'],
      actors: ['Actor~1', 'Actor~2', 'Actor~3', 'Actor~4', 'Actor~6'],
      'movies(input:{genre:ACTION})': ['Movie~1', 'Movie~4', 'Movie~5'],
    },
    ROOT_MUTATION: {},
    'Movie~1': {
      id: '1',
      title: 'Indiana Jones and the Last Crusade',
      actors: ['Actor~1', 'Actor~2', 'Actor~6', 'Actor~7'],
      genre: 'ACTION',
      releaseYear: 1989,
    },
    'Movie~2': {
      id: '2',
      title: 'Empire Strikes Back',
      actors: ['Actor~1', 'Actor~3'],
      releaseYear: 1980,
    },
    'Movie~3': {
      id: '3',
      title: 'Witness',
      actors: ['Actor~1', 'Actor~4'],
      releaseYear: 1985,
    },
    'Movie~4': {
      id: '4',
      title: 'Air Force One',
      actors: ['Actor~1', 'Actor~5'],
      genre: 'ACTION',
      releaseYear: 1997,
    },
    'Movie~5': 'DELETED',
    'Actor~1': { id: '1', firstName: 'Harrison' },
    'Actor~2': { id: '2', firstName: 'Sean' },
    'Actor~3': { id: '3', firstName: 'Mark' },
    'Actor~4': { id: '4', firstName: 'Patti' },
    'Actor~5': { id: '5', firstName: 'Gary' },
    'Actor~6': 'DELETED',
    'Actor~7': { id: '7', firstName: 'Christy' }
  },
  'badHashesSet': ['Movie~5', 'Actor~6'],
  'goodHashesSet': ['Actor~1', 'Movie~1', 'Movie~2', 'Movie~3', 'Movie~4', 'Actor~2', 'Actor~3', 'Actor~4'],
  'cleanedRootQuery': {
    'actor(id:1)': 'Actor~1',
    movies: ['Movie~1', 'Movie~2', 'Movie~3', 'Movie~4'],
    actors: ['Actor~1', 'Actor~2', 'Actor~3', 'Actor~4'],
    'movies(input:{genre:ACTION})': ['Movie~1', 'Movie~4'],
  },
  'getGoodHashes': ['Actor~1', 'Actor~2', 'Actor~3', 'Actor~4', 'Actor~5', 'Actor~7', 'Movie~1', 'Movie~2', 'Movie~3', 'Movie~4'],
  'removeInaccessibleHashes': {
    ROOT_QUERY: {
        'actor(id:1)': 'Actor~1',
        movies: ['Movie~1', 'Movie~2', 'Movie~3', 'Movie~4'],
        actors: ['Actor~1', 'Actor~2', 'Actor~3', 'Actor~4'],
        'movies(input:{genre:ACTION})': ['Movie~1', 'Movie~4'],
      },
      ROOT_MUTATION: {},
      'Movie~1': {
        id: '1',
        title: 'Indiana Jones and the Last Crusade',
        actors: ['Actor~1', 'Actor~2', 'Actor~7'],
        genre: 'ACTION',
        releaseYear: 1989,
      },
      'Movie~2': {
        id: '2',
        title: 'Empire Strikes Back',
        actors: ['Actor~1', 'Actor~3'],
        releaseYear: 1980,
      },
      'Movie~3': {
        id: '3',
        title: 'Witness',
        actors: ['Actor~1', 'Actor~4'],
        releaseYear: 1985,
      },
      'Movie~4': {
        id: '4',
        title: 'Air Force One',
        actors: ['Actor~1', 'Actor~5'],
        genre: 'ACTION',
        releaseYear: 1997,
      },
      'Actor~1': { id: '1', firstName: 'Harrison' },
      'Actor~2': { id: '2', firstName: 'Sean' },
      'Actor~3': { id: '3', firstName: 'Mark' },
      'Actor~4': { id: '4', firstName: 'Patti' },
      'Actor~5': { id: '5', firstName: 'Gary' },
      'Actor~7': { id: '7', firstName: 'Christy' }
  }
};
